if(!exists("logt")) logt = log(7)
if(!exists("logs")) logs = log(1.0)

file = sprintf("< ./singular_values %f", exp(logt))
#title = sprintf("s = %f, t = %f", exp(logs), exp(logt))
title = sprintf("t = %.3f", exp(logt))
# print title

set zeroaxis
set samples 1000
set size square
set xrange [0:20]
set yrange [0:20]
set trange [0:20]
set grid
set parametric

# plot file using 2:3 w p pt 7 ps 0.5 lc 1 t title

#tr(a,b) = exp((2*a+b)/3) + exp((b-a)/3) + exp(-(a+2*b)/3)
#trinv(a,b) = exp(-(2*a+b)/3) + exp((a-b)/3) + exp((a+2*b)/3)

tr(a,b) = exp(a) + exp(b-a) + exp(-b)
trinv(a,b) = exp(-a) + exp(a-b) + exp(b)

plot file using 6:7 w p pt 7 ps 0.5 lc 1 t columnheader, \
	 log(tr(t,t*2)),log(trinv(t,2*t)) w l lw 2 t "", \
	 log(tr(t,t/2)),log(trinv(t,t/2)) w l lw 2 t ""

#plot for[i=-10:10] log(tr(t,t*exp(log(2)*i/10.0))),log(trinv(t,t*exp(log(2)*i/10.0))) w l lw 2 t ""

#plot for[i=-10:10] t,log(tr(t,t*exp(log(2)*i/10.0)))-t w l lw 2 t ""

##plot for[i=20:20] t,log(tr(1/t,exp(2*log(2)*i/20.0-log(2)))) w l lw 2 t ""

pause mouse keypress
if(MOUSE_KEY == 60) logt=logt-0.02
if(MOUSE_KEY == 62) logt=logt+0.02
if(MOUSE_KEY == 44) logs=logs-0.02
if(MOUSE_KEY == 46) logs=logs+0.02
if(MOUSE_KEY != 113) reread
